Subject: bug#63865: 29.0.90; call-process while owning the X selection hangs other processes

From: Po Lu <[email-masked]>
Date: Sun, 04 Jun 2023 08:18:02 +0800

Eli Zaretskii <[email-masked]> writes:

> AFAIU, the only "everything" that is blocked is an application that
> happens to request an X selection at that precise time.  That should
> be rare for short enough call-process runs, since the same user is
> doing that.

Btw, it seems only fair to mention that hangs here are clearly the fault
of the program that hangs.  All reasonably implemented X clients
implement a time-out mechanism and listen for the selection owner being
deleted.